## calls-new-call-box calls-new-call-box |

## Functions

CallsNewCallBox * | calls_new_call_box_new ()
void | calls_new_call_box_dial ()
void | calls_new_call_box_send_ussd_async ()
char * | calls_new_call_box_send_ussd_finish ()

## Properties

gboolean | numeric-input-only | Read

## Types and Values

#define | CALLS_TYPE_NEW_CALL_BOX
| CallsNewCallBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── AdwBin
                    ╰── CallsNewCallBox

## Implemented Interfaces

CallsNewCallBox implements GtkAccessible, GtkBuildable and GtkConstraintTarget.

## Description

## Functions

### calls_new_call_box_new ()

    CallsNewCallBox *
    calls_new_call_box_new (void);

### calls_new_call_box_dial ()

    void
    calls_new_call_box_dial (CallsNewCallBox *self,
                             const gchar *target);

### calls_new_call_box_send_ussd_async ()

    void
    calls_new_call_box_send_ussd_async (CallsNewCallBox *self,
                                        const char *target,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

### calls_new_call_box_send_ussd_finish ()

    char *
    calls_new_call_box_send_ussd_finish (CallsNewCallBox *self,
                                         GAsyncResult *result,
                                         GError **error);

## Types and Values

### CALLS_TYPE_NEW_CALL_BOX

    #define CALLS_TYPE_NEW_CALL_BOX (calls_new_call_box_get_type ())

### CallsNewCallBox

    typedef struct _CallsNewCallBox CallsNewCallBox;

## Property Details

### The `“numeric-input-only”` property

      “numeric-input-only”       gboolean

Whether only numeric input is allowed (for the selected origin).

Owner: CallsNewCallBox

Flags: Read

Default value: TRUE